# class toTimer

A timer descendant which also keep track of the last timer setting sent to it. More...

Definition | `#include <tobackground.h>`
Inherits | QTimer (qt) [public ]
Inherited by | toBackground
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toTimer (QObject *parent=0,const char * name=0)
- int start (int msec,bool sshot=false)
- int lastTimer (void)

## Detailed Description

A timer descendant which also keep track of the last timer setting sent to it.

toTimer (QObject *parent=0,const char * name=0)

### toTimer

Create timer.

Parameters:

parent | Parent object of timer.
name | Name of timer.

int start (int msec,bool sshot=false)

### start

Start timer.

Parameters:

msec | Milliseconds to timeout.
sshot | Set to true if only timeout once.

Reimplemented from QTimer.

int lastTimer (void)

### lastTimer

Get last timer start timeout.

Returns: Last timeout in millisecond.